> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

> Uploads a new file to a FileSet using multipart/form-data.



## OpenAPI

````yaml /openapi/product/filesets.yaml post /api/files/v1/filesets/{filesetId}/files
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets/{filesetId}/files:
    post:
      tags:
        - FileSets API (BETA) (Product)
      summary: Upload File
      description: Uploads a new file to a FileSet using multipart/form-data.
      parameters:
        - name: filesetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file blob.
                createFileRequest:
                  type: string
                  description: >-
                    A JSON string defining upload options, e.g.,
                    '{directoryPath: }.
            encoding:
              createFileRequest:
                contentType: application/json
      responses:
        '200':
          description: Basic metadata for the uploaded file.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileMetadataBase'
        '401':
          description: Unauthorized
        '404':
          description: FileSet Not Found
components:
  schemas:
    FileMetadataBase:
      description: Basic metadata for a file.
      type: object
      properties:
        id:
          type: string
          format: uuid
        path:
          type: string
        name:
          type: string
        fileType:
          type: string
        contentType:
          type: string
        size:
          type: integer
          format: int64
        created:
          type: string
          format: date-time
        createdBy:
          type: integer
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````